<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="CSEasyVerifyInsertProp.aspx.vb" Inherits="CSEasyVerify.CSEasyVerifyInsertProp" %>
<%@ register tagprefix="ex" namespace="Exact.Web.UI.Controls" assembly="Exact.Web.UI.Controls" %>
<html>
<head>
	<meta name="save" content="history" />
	<link rel="stylesheet" type="text/css" href="Exact.css" />
    <script language="javascript" type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#btnClose').removeAttr('onclick');
            $('#btnClose').click(function () {
                ClosePopup(false);
            });

            if ($('#DoClose').val() == '1') {
                ClosePopup(true);
            }

            $('body').keydown(function (e) {
                if (new SysHandleKey(e).IsEscapeKey())
                    ClosePopup(false);
            });
        });

        function ClosePopup(doRefresh) {
            var r;
            if (doRefresh)
                r = new Array('refresh');
            else
                r = new Array();

            if (opener && !opener.closed) {
                top.opener.SysDialog.returnValue = r;
                top.opener.SysDialog.returnFunc()
                window.close();
            }
            else {
                window.parent.returnValue = r;
                window.parent.SysCloseModalPopup();
            }
        }


        $(document).ready(function () {
            $('#ListColumns_Header td').css('cursor', 'pointer');

            $('#ListColumns_Header td').click(function () {
                var a = '@' + $(this).parent().find('td:first').text();
                ClosePopupWithTag(a);
            });
        });

        function ClosePopupWithTag(tag) {
            var r;
            if (tag != '')
                r = new Array(tag);
            else
                r = new Array();

            if (opener && !opener.closed) {
                top.opener.SysDialog.returnValue = r;
                top.opener.SysDialog.returnFunc()
                window.close();
            }
            else {
                window.parent.returnValue = r;
                window.parent.SysCloseModalPopup();
            }
        }
    </script>
</head>
<body>

<ep:form id="frm" runat="server">

<ex:InputField runat="server" Hidden="True" ID="PageID" ValidationAs="Guid" CreateClientControl="True" />
<ex:InputField runat="server" Hidden="True" ID="Action" CreateClientControl="True" />

<ex:CardControl runat="server" ID="Card" Action="Show">
    <ex:Header runat="server" ID="hdr" Caption="Add" CaptionID="8343" CaptionSuffix=":Property" CaptionSuffixID="30161" />

    <ex:ButtonBar runat="server" ID="Buttons">
        <ex:Button runat="server" ID="btnClose" ButtonStyle="Close" />
    </ex:ButtonBar>

    <ex:cardrow runat="server" id="cr">
	    <ex:cardcolumn runat="server" id="cc">
			<ex:cardlistview runat="server" id="csColumns" showheader="True" customizecolumns="False" customizerows="False">
				<ex:listview runat="server" id="ListColumns" caption="Properties" captionid="19786" showbutton="False" showpagesize="false" ongetdata="ListColumnsOnGetData" onquery="ListColumnsOnQuery" ruler="false">
                    <Columns>
                        <ex:listviewcolumn captionid="30161" caption="Property" width="30%" />
                        <ex:listviewcolumn captionid="4243" caption="Description" width="70%" />
                    </Columns>
				</ex:listview>
			</ex:cardlistview>
	    </ex:cardcolumn>
    </ex:cardrow>
</ex:CardControl>

</ep:form>
</body>
</html>